Subject: Re: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Jan 2025 15:04:02 +0200

> From: Tassilo Horn <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,   [email-masked],
>    [email-masked]
> Date: Sat, 25 Jan 2025 10:04:03 +0100
> 
> Michael Heerdegen <[email-masked]> writes:
> 
> >> > So i would rather consider to rename the variable
> >> > `buffer-stale-function' for the discoverability - or just leave
> >> > things as they are.
> >>
> >> We cannot rename it.
> >
> > Then I would prefer to keep the fix we have.
> 
> Ok, let's make a decision then.  The two options on the table are:
> 
> 1. Just keep the dired-specific dired--inhibit-auto-revert as it's
>    committed now (+ use that to fix bug#71264 properly, too).
> 
> 2. Use the more general inhibit-auto-revert patch I've posted here.
> 
> I lean towards option 1 simply because my gut feeling says that the
> dired issue is probably a historical accident, i.e., its workings have
> been implemented long before auto-revert was a thing.  If one were to
> implement something similar today (like ops on processes in proced), one
> would not use an approach navigating lines in the buffer.  Even most
> dired commands don't or just do to collect the list of files to act on
> initially.

Sounds like option 1 is preferred by several people, so let's keep it.